Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#51 Le 15/07/2013, à 17:46

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

oui 13.04 voici le message complet:

Impossible d'appliquer les changements.
Réparez d'abord les paquets cassés.

Hors ligne

#52 Le 15/07/2013, à 18:48

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Tu peux tenter un
sudo apt-get -f install
pour voir ce qu'il te propose mais je penses savoir d'où vient le conflit. Le paquet qui est produit pour la lib ecw est en conflit avec liblcms-dev. Tu peux donc supprimer ce dernier s'il te dis que c'est en conflit

Hors ligne

#53 Le 16/07/2013, à 10:55

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

voilà la réponse du sudo apt-get -f install

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  acroread-common automoc bsh bsh-gcj dctrl-tools devscripts distro-info-data
  dmake doxygen doxygen-latex dput firefox-dev fontforge fonts-sil-gentium
  fonts-sil-gentium-basic fonts-texgyre gcj-native-helper gir1.2-gconf-2.0
  gir1.2-langtag-0.4 gperf javahelper junit4 kdelibs5-dev latex-beamer
  latex-xcolor libatk-bridge2.0-dev libatk1.0-dev libavahi-client-dev
  libavahi-common-dev libbluetooth-dev libboost-date-time-dev
  libboost-date-time1.49-dev libboost-dev libboost-serialization1.49-dev
  libboost-serialization1.49.0 libboost1.49-dev libcairo-script-interpreter2
  libcairo2-dev libclucene-dev libcmis-dev libcoin60 libcommon-sense-perl
  libcommons-codec-java libcommons-httpclient-java libcommons-lang-java
  libcppunit-1.12-1 libcppunit-dev libcups2-dev libdb-dev libdb5.1-dev
  libdbus-1-dev libdbus-glib-1-dev libdistro-info-perl liberror-perl
  libexif-dev libexporter-lite-perl libexttextcat-dev libfftw3-3
  libfontconfig1-dev libfontforge1 libfreetype6-dev libgconf2-dev
  libgconf2-doc libgdk-pixbuf2.0-dev libgdraw4 libglib2.0-dev libgmp-dev
  libgphoto2-2-dev libgraphicsmagick3 libgstreamer-plugins-base1.0-dev
  libgstreamer1.0-dev libgtk-3-dev libgtk2.0-dev libhamcrest-java
  libharfbuzz-dev libhunspell-dev libhyphen-dev libidl-dev libieee1284-3-dev
  libio-stringy-perl libjbig-dev libjline-java libjs-underscore libjson-perl
  libjson-xs-perl libkimproxy4 libknewstuff2-4 libkprintutils4 libkrossui4
  libkunitconversion4 libkutils4 liblangtag-dev liblangtag-gobject0
  liblzma-dev libmdds-dev libmspub-dev libmysqlcppconn-dev libmysqlcppconn5
  libmythes-dev libneon27-gnutls-dev libnspr4-dev libnss3-dev
  libopenscenegraph80 libopenthreads14 liborbit2-dev libosgearth1
  libpango1.0-dev libparse-debcontrol-perl libpcre3-dev libpcrecpp0
  libphonon-dev libpixman-1-dev libpoppler-cpp-dev libpoppler-cpp0
  libpoppler-dev libpoppler-private-dev libpython3-dev libpython3.3-dev
  libqgis1.8.0 libqwt5-qt4 libraptor2-dev librasqal3-dev librdf0-dev
  libreoffice libreoffice-filter-mobiledev libreoffice-report-builder-bin
  libsane-dev libsoprano-dev libspatialindex1 libspiro0 libtie-ixhash-perl
  libtiff5-dev libtiffxx5 libuninameslist0 libusb-1.0-0-dev libusb-dev
  libv4l-dev libvigraimpex-dev libvigraimpex4 libvisio-dev libwayland-dev
  libwpd-dev libwpg-dev libwps-dev libxaw7-dev libxcb-render0-dev
  libxcb-shm0-dev libxcomposite-dev libxcursor-dev libxerces-c28 libxft-dev
  libxi-dev libxine1 libxine1-bin libxine1-ffmpeg libxine1-misc-plugins
  libxine1-plugins libxinerama-dev libxkbcommon-dev libxkbfile-dev
  libxml-parser-perl libxmu-dev libxmu-headers libxpm-dev libxrandr-dev
  libxrender-dev libxslt1-dev libxtst-dev libyajl-dev libzip2 orbit2 pgf
  preview-latex-style prosper ps2eps python-central python3-dev python3-magic
  python3.3-dev tex-gyre texlive-extra-utils texlive-font-utils
  texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-extra texlive-latex-extra-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
  texlive-pstricks texlive-pstricks-doc tipa ttf-marvosym
  x11proto-composite-dev x11proto-randr-dev x11proto-record-dev
  x11proto-render-dev x11proto-xinerama-dev xsltproc
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 5 non mis à jour.


j'ai fait le apt-get autoremove

J'ai aussi supprimé liblcms2-dev mais quand j'essaie d'installer qgis, il me met toujours le même message.
Il faut toujours que je répare les paquets cassés sad

Quand je regarde les propriétés de qgis 1.8.0-2~raring6 il me met État: cassés
Quand je fais édition réparer les paquets cassés il affiche le message d'erreur:

E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances

Dernière modification par symba (Le 16/07/2013, à 11:02)

Hors ligne

#54 Le 16/07/2013, à 11:46

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Etrange tu as rechargé la liste des paquets ?

sudo apt-get update && sudo apt-get upgrade

Puis tu vires et réinstalles qgis:

sudo apt-get remove qgis
sudo apt-get install qgis

Dernière modification par kikislater (Le 16/07/2013, à 11:46)

Hors ligne

#55 Le 16/07/2013, à 16:32

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

J'ai fait toutes les manips mais ça ne marche toujours pas...


Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#56 Le 16/07/2013, à 16:46

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Silvio66 a écrit :

J'ai fait toutes les manips mais ça ne marche toujours pas...

Il faut me donner les résultats pour que je vois ce qui se passe sinon on avance pas ...
Par exemple la sortie de
sudo apt-get update

Dernière modification par kikislater (Le 16/07/2013, à 16:46)

Hors ligne

#57 Le 17/07/2013, à 09:10

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

kikislater a écrit :
Silvio66 a écrit :

J'ai fait toutes les manips mais ça ne marche toujours pas...

Il faut me donner les résultats pour que je vois ce qui se passe sinon on avance pas ...
Par exemple la sortie de
sudo apt-get update

Pour

sudo apt-get update
tteint http://dl.google.com stable Release.gpg
Atteint http://fr.archive.ubuntu.com precise Release.gpg                       
Réception de : 1 http://fr.archive.ubuntu.com precise-updates Release.gpg [198 B]
Atteint http://fr.archive.ubuntu.com precise-backports Release.gpg             
Réception de : 2 http://fr.archive.ubuntu.com precise-proposed Release.gpg [198 B]
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://archive.canonical.com precise Release.gpg                       
Réception de : 3 http://extras.ubuntu.com precise Release.gpg [72 B]           
Réception de : 4 http://security.ubuntu.com precise-security Release.gpg [198 B]
Atteint http://dl.google.com stable Release                                    
Atteint http://fr.archive.ubuntu.com precise Release                           
Réception de : 5 http://fr.archive.ubuntu.com precise-updates Release [49,6 kB]
Réception de : 6 http://security.ubuntu.com precise-security Release [49,6 kB] 
Atteint http://archive.canonical.com precise Release                           
Atteint http://extras.ubuntu.com precise Release                               
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release.gpg                           
Réception de : 7 http://ppa.launchpad.net precise Release.gpg [316 B]          
Atteint http://ppa.launchpad.net precise Release.gpg                           
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://fr.archive.ubuntu.com precise-backports Release                 
Réception de : 8 http://fr.archive.ubuntu.com precise-proposed Release [49,6 kB]
Atteint http://dl.google.com stable/main i386 Packages                         
Atteint http://archive.canonical.com precise/partner Sources                   
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://extras.ubuntu.com precise/main Sources                          
Atteint http://deb.torproject.org precise Release.gpg                          
Atteint http://fr.archive.ubuntu.com precise/restricted Sources                
Atteint http://fr.archive.ubuntu.com precise/main Sources                      
Atteint http://fr.archive.ubuntu.com precise/multiverse Sources                
Atteint http://fr.archive.ubuntu.com precise/universe Sources                  
Atteint http://fr.archive.ubuntu.com precise/main i386 Packages                
Atteint http://fr.archive.ubuntu.com precise/restricted i386 Packages          
Atteint http://fr.archive.ubuntu.com precise/universe i386 Packages            
Atteint http://fr.archive.ubuntu.com precise/multiverse i386 Packages          
Atteint http://archive.canonical.com precise/partner i386 Packages             
Ign http://archive.canonical.com precise/partner TranslationIndex              
Ign http://dl.google.com stable/main TranslationIndex                          
Réception de : 9 http://ppa.launchpad.net precise Release [11,9 kB]            
Atteint http://ppa.launchpad.net precise Release                               
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://extras.ubuntu.com precise/main i386 Packages                    
Ign http://extras.ubuntu.com precise/main TranslationIndex                     
Atteint http://fr.archive.ubuntu.com precise/main TranslationIndex             
Atteint http://fr.archive.ubuntu.com precise/multiverse TranslationIndex       
Atteint http://fr.archive.ubuntu.com precise/restricted TranslationIndex       
Atteint http://fr.archive.ubuntu.com precise/universe TranslationIndex         
Réception de : 10 http://fr.archive.ubuntu.com precise-updates/restricted Sources [5 467 B]
Réception de : 11 http://fr.archive.ubuntu.com precise-updates/main Sources [401 kB]
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Atteint http://deb.torproject.org precise Release                              
Réception de : 12 http://security.ubuntu.com precise-security/restricted Sources [2 494 B]
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Réception de : 13 http://security.ubuntu.com precise-security/main Sources [83,5 kB]
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://deb.torproject.org precise/main Sources                         
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://deb.torproject.org precise/main i386 Packages                   
Ign http://deb.torproject.org precise/main TranslationIndex                    
Réception de : 14 http://fr.archive.ubuntu.com precise-updates/multiverse Sources [6 582 B]
Réception de : 15 http://archive.getdeb.net precise-getdeb Release.gpg [836 B] 
Réception de : 16 http://fr.archive.ubuntu.com precise-updates/universe Sources [91,5 kB]
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Réception de : 17 http://ppa.launchpad.net precise/main Sources [12,4 kB]      
Réception de : 18 http://ppa.launchpad.net precise/main i386 Packages [26,9 kB]
Réception de : 19 http://security.ubuntu.com precise-security/multiverse Sources [1 383 B]
Réception de : 20 http://security.ubuntu.com precise-security/universe Sources [26,7 kB]
Réception de : 21 http://fr.archive.ubuntu.com precise-updates/main i386 Packages [671 kB]
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Atteint http://ppa.launchpad.net precise/main Sources                          
Atteint http://ppa.launchpad.net precise/main i386 Packages                    
Ign http://ppa.launchpad.net precise/main TranslationIndex                     
Réception de : 22 http://security.ubuntu.com precise-security/main i386 Packages [311 kB]
Ign http://riderducoin.com precise Release.gpg                                 
Ign http://archive.canonical.com precise/partner Translation-fr_FR             
Ign http://dl.google.com stable/main Translation-fr_FR                         
Ign http://archive.canonical.com precise/partner Translation-fr                
Réception de : 23 http://archive.getdeb.net precise-getdeb Release [7 256 B]   
Ign http://archive.canonical.com precise/partner Translation-en_AU             
Ign http://archive.canonical.com precise/partner Translation-en_CA             
Ign http://archive.canonical.com precise/partner Translation-en                
Ign http://extras.ubuntu.com precise/main Translation-fr_FR                    
Ign http://extras.ubuntu.com precise/main Translation-fr                       
Ign http://extras.ubuntu.com precise/main Translation-en_AU                    
Ign http://extras.ubuntu.com precise/main Translation-en_CA                    
Ign http://dl.google.com stable/main Translation-fr                            
Ign http://dl.google.com stable/main Translation-en_AU                         
Ign http://dl.google.com stable/main Translation-en_CA                         
Atteint http://riderducoin.com precise Release                                 
Ign http://dl.google.com stable/main Translation-en                            
Ign http://extras.ubuntu.com precise/main Translation-en                       
Réception de : 24 http://security.ubuntu.com precise-security/restricted i386 Packages [4 620 B]
Réception de : 25 http://security.ubuntu.com precise-security/universe i386 Packages [80,2 kB]
Réception de : 26 http://security.ubuntu.com precise-security/multiverse i386 Packages [2 371 B]
Réception de : 27 http://security.ubuntu.com precise-security/main TranslationIndex [74 B]
Réception de : 28 http://security.ubuntu.com precise-security/multiverse TranslationIndex [71 B]
Réception de : 29 http://security.ubuntu.com precise-security/restricted TranslationIndex [72 B]
Réception de : 30 http://security.ubuntu.com precise-security/universe TranslationIndex [73 B]
Atteint http://security.ubuntu.com precise-security/main Translation-en        
Atteint http://security.ubuntu.com precise-security/multiverse Translation-en  
Atteint http://security.ubuntu.com precise-security/restricted Translation-en  
Ign http://deb.torproject.org precise/main Translation-fr_FR                   
Atteint http://security.ubuntu.com precise-security/universe Translation-en    
Ign http://deb.torproject.org precise/main Translation-fr                      
Réception de : 31 http://fr.archive.ubuntu.com precise-updates/restricted i386 Packages [10,0 kB]
Réception de : 32 http://fr.archive.ubuntu.com precise-updates/universe i386 Packages [212 kB]
Atteint http://archive.getdeb.net precise-getdeb/apps i386 Packages            
Ign http://deb.torproject.org precise/main Translation-en_AU                   
Ign http://deb.torproject.org precise/main Translation-en_CA                   
Ign http://deb.torproject.org precise/main Translation-en                      
Réception de : 33 http://fr.archive.ubuntu.com precise-updates/multiverse i386 Packages [13,8 kB]
Réception de : 34 http://fr.archive.ubuntu.com precise-updates/main TranslationIndex [3 564 B]
Réception de : 35 http://fr.archive.ubuntu.com precise-updates/multiverse TranslationIndex [2 605 B]
Réception de : 36 http://fr.archive.ubuntu.com precise-updates/restricted TranslationIndex [2 461 B]
Réception de : 37 http://fr.archive.ubuntu.com precise-updates/universe TranslationIndex [2 850 B]
Atteint http://fr.archive.ubuntu.com precise-backports/main Sources            
Atteint http://fr.archive.ubuntu.com precise-backports/restricted Sources      
Atteint http://fr.archive.ubuntu.com precise-backports/universe Sources        
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse Sources      
Atteint http://fr.archive.ubuntu.com precise-backports/main i386 Packages      
Atteint http://fr.archive.ubuntu.com precise-backports/restricted i386 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/universe i386 Packages  
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com precise-backports/main TranslationIndex   
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-backports/restricted TranslationIndex
Atteint http://fr.archive.ubuntu.com precise-backports/universe TranslationIndex
Réception de : 38 http://fr.archive.ubuntu.com precise-proposed/restricted i386 Packages [14 B]
Réception de : 39 http://fr.archive.ubuntu.com precise-proposed/main i386 Packages [105 kB]
Réception de : 40 http://fr.archive.ubuntu.com precise-proposed/multiverse i386 Packages [2 054 B]
Réception de : 41 http://fr.archive.ubuntu.com precise-proposed/universe i386 Packages [18,4 kB]
Réception de : 42 http://fr.archive.ubuntu.com precise-proposed/main TranslationIndex [3 564 B]
Réception de : 43 http://fr.archive.ubuntu.com precise-proposed/multiverse TranslationIndex [2 605 B]
Réception de : 44 http://fr.archive.ubuntu.com precise-proposed/restricted TranslationIndex [2 461 B]
Réception de : 45 http://fr.archive.ubuntu.com precise-proposed/universe TranslationIndex [2 850 B]
Atteint http://fr.archive.ubuntu.com precise/main Translation-fr_FR            
Atteint http://fr.archive.ubuntu.com precise/main Translation-fr               
Ign http://archive.getdeb.net precise-getdeb/apps TranslationIndex             
Atteint http://fr.archive.ubuntu.com precise/main Translation-en_AU            
Atteint http://fr.archive.ubuntu.com precise/main Translation-en_CA            
Atteint http://fr.archive.ubuntu.com precise/main Translation-en               
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-fr_FR      
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-fr         
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-en_AU      
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-en         
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-fr_FR      
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-fr         
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-en_AU      
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-en         
Atteint http://fr.archive.ubuntu.com precise/universe Translation-fr_FR        
Atteint http://fr.archive.ubuntu.com precise/universe Translation-fr           
Atteint http://fr.archive.ubuntu.com precise/universe Translation-en_CA        
Atteint http://fr.archive.ubuntu.com precise/universe Translation-en           
Ign http://riderducoin.com precise/main i386 Packages/DiffIndex                
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-fr       
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-en_AU    
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-en_CA    
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-en       
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-fr 
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-en_AU
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-en 
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Translation-fr 
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Translation-en_AU
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Translation-en 
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-fr   
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-en_CA
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-en   
Atteint http://fr.archive.ubuntu.com precise-backports/main Translation-en
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com precise-backports/restricted Translation-en
Atteint http://fr.archive.ubuntu.com precise-backports/universe Translation-en
Atteint http://fr.archive.ubuntu.com precise-proposed/main Translation-fr
Atteint http://fr.archive.ubuntu.com precise-proposed/main Translation-en_AU
Atteint http://fr.archive.ubuntu.com precise-proposed/main Translation-en_CA
Réception de : 46 http://fr.archive.ubuntu.com precise-proposed/main Translation-en [42,9 kB]
Atteint http://fr.archive.ubuntu.com precise-proposed/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com precise-proposed/multiverse Translation-en_AU
Atteint http://fr.archive.ubuntu.com precise-proposed/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com precise-proposed/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com precise-proposed/restricted Translation-en_AU
Atteint http://fr.archive.ubuntu.com precise-proposed/restricted Translation-en
Atteint http://fr.archive.ubuntu.com precise-proposed/universe Translation-fr  
Atteint http://fr.archive.ubuntu.com precise-proposed/universe Translation-en_CA
Réception de : 47 http://fr.archive.ubuntu.com precise-proposed/universe Translation-en [10,5 kB]
Ign http://ppa.launchpad.net precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-fr                       
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU             
Ign http://ppa.launchpad.net precise/main Translation-en_CA             
Ign http://ppa.launchpad.net precise/main Translation-en                
Ign http://ppa.launchpad.net precise/main Translation-fr_FR             
Ign http://ppa.launchpad.net precise/main Translation-fr                
Ign http://ppa.launchpad.net precise/main Translation-en_AU                    
Ign http://ppa.launchpad.net precise/main Translation-en_CA                    
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://ppa.launchpad.net precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-fr                       
Ign http://ppa.launchpad.net precise/main Translation-en_AU                    
Ign http://ppa.launchpad.net precise/main Translation-en_CA                    
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://ppa.launchpad.net precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-fr                       
Ign http://ppa.launchpad.net precise/main Translation-en_AU                    
Ign http://ppa.launchpad.net precise/main Translation-en_CA                    
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://ppa.launchpad.net precise/main Translation-fr_FR                    
Ign http://ppa.launchpad.net precise/main Translation-fr                       
Ign http://ppa.launchpad.net precise/main Translation-en_AU                    
Ign http://ppa.launchpad.net precise/main Translation-en_CA                    
Ign http://ppa.launchpad.net precise/main Translation-en                       
Ign http://riderducoin.com precise/main TranslationIndex                       
Ign http://archive.getdeb.net precise-getdeb/apps Translation-fr_FR            
Ign http://archive.getdeb.net precise-getdeb/apps Translation-fr               
Ign http://archive.getdeb.net precise-getdeb/apps Translation-en_AU            
Ign http://archive.getdeb.net precise-getdeb/apps Translation-en_CA            
Ign http://archive.getdeb.net precise-getdeb/apps Translation-en               
Atteint http://riderducoin.com precise/main i386 Packages                      
Ign http://riderducoin.com precise/main Translation-fr_FR
Ign http://riderducoin.com precise/main Translation-fr 
Ign http://riderducoin.com precise/main Translation-en_AU
Ign http://riderducoin.com precise/main Translation-en_CA
Ign http://riderducoin.com precise/main Translation-en
2 335 ko réceptionnés en 55s (42,4 ko/s)
Lecture des listes de paquets... Fait

Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#58 Le 17/07/2013, à 09:33

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Donc là le problème de dépôt est réglé.
A présent tu peux passer à la suite : installation des paquets nécessaires pour le fonctionnement de l'ecw dans gdal et donc qgis

sudo apt-get install qgis libecwj2 libgdal-ecw-src

si cette étape s'est bien passée, tu peux continuer avec :

sudo gdal-ecw-build /usr

Et pour finir si le résultat est concluant tu peux vérifier avec :

gdalinfo --formats | grep ECW

Dernière modification par kikislater (Le 17/07/2013, à 09:34)

Hors ligne

#59 Le 17/07/2013, à 09:45

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Bonjour Kickslater,

pour:

sudo apt-get install qgis libecwj2 libgdal-ecw-src

J'ai cette réponse:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libecwj2 est déjà la plus récente version disponible.
qgis est déjà la plus récente version disponible.
libgdal-ecw-src est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  qgis-plugin-grass-common libvncserver0 qgis-plugin-globe-common libgsoap1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Les paquets sont récents mais ne marchent pas...

Encore merci pour ta patience.


Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#60 Le 17/07/2013, à 09:48

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Pas fonctionnel, comment tu vois ça ? La seule solution pour voir que ce n'est pas fonctionnel c'est avec ce que j'ai cité ensuite

sudo gdal-ecw-build /usr

Et pour finir si le résultat est concluant tu peux vérifier avec :

gdalinfo --formats | grep ECW

Hors ligne

#61 Le 17/07/2013, à 09:55

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

pour sudo apt-get update && sudo apt-get upgrade j'ai:


Atteint http://fr.archive.ubuntu.com raring Release.gpg
Atteint http://ppa.launchpad.net raring Release.gpg                           
Atteint http://fr.archive.ubuntu.com raring-updates Release.gpg               
Atteint http://ppa.launchpad.net raring Release.gpg                           
Atteint http://fr.archive.ubuntu.com raring-backports Release.gpg             
Atteint http://ppa.launchpad.net raring Release                               
Réception de : 1 http://security.ubuntu.com raring-security Release.gpg [933 B]
Atteint http://archive.canonical.com raring Release.gpg                       
Atteint http://extras.ubuntu.com raring Release.gpg                           
Atteint http://fr.archive.ubuntu.com raring Release                           
Atteint http://ppa.launchpad.net raring Release                               
Réception de : 2 http://security.ubuntu.com raring-security Release [40,8 kB] 
Atteint http://archive.canonical.com raring Release                           
Atteint http://extras.ubuntu.com raring Release                               
Atteint http://fr.archive.ubuntu.com raring-updates Release                   
Atteint http://ppa.launchpad.net raring/main amd64 Packages                   
Atteint http://fr.archive.ubuntu.com raring-backports Release                 
Atteint http://archive.canonical.com raring/partner Sources                   
Atteint http://ppa.launchpad.net raring/main i386 Packages                     
Atteint http://extras.ubuntu.com raring/main Sources                           
Atteint http://fr.archive.ubuntu.com raring/main Sources                       
Atteint http://archive.canonical.com raring/partner amd64 Packages             
Atteint http://fr.archive.ubuntu.com raring/restricted Sources                 
Atteint http://extras.ubuntu.com raring/main amd64 Packages                   
Atteint http://archive.canonical.com raring/partner i386 Packages             
Réception de : 3 http://security.ubuntu.com raring-security/main Sources [32,6 kB]
Atteint http://fr.archive.ubuntu.com raring/universe Sources                   
Atteint http://qgis.org raring Release.gpg                                     
Atteint http://extras.ubuntu.com raring/main i386 Packages                     
Atteint http://fr.archive.ubuntu.com raring/multiverse Sources                 
Atteint http://ppa.launchpad.net raring/main amd64 Packages                   
Atteint http://fr.archive.ubuntu.com raring/main amd64 Packages               
Atteint http://ppa.launchpad.net raring/main i386 Packages                     
Réception de : 4 http://security.ubuntu.com raring-security/restricted Sources [14 B]
Atteint http://fr.archive.ubuntu.com raring/restricted amd64 Packages         
Réception de : 5 http://security.ubuntu.com raring-security/universe Sources [6 512 B]
Atteint http://fr.archive.ubuntu.com raring/universe amd64 Packages           
Réception de : 6 http://security.ubuntu.com raring-security/multiverse Sources [694 B]
Atteint http://fr.archive.ubuntu.com raring/multiverse amd64 Packages         
Atteint http://qgis.org raring Release                                         
Réception de : 7 http://security.ubuntu.com raring-security/main amd64 Packages [85,8 kB]
Atteint http://fr.archive.ubuntu.com raring/main i386 Packages                 
Atteint http://fr.archive.ubuntu.com raring/restricted i386 Packages           
Réception de : 8 http://security.ubuntu.com raring-security/restricted amd64 Packages [14 B]
Réception de : 9 http://security.ubuntu.com raring-security/universe amd64 Packages [25,0 kB]
Atteint http://qgis.org raring/main amd64 Packages                             
Atteint http://fr.archive.ubuntu.com raring/universe i386 Packages             
Ign http://archive.canonical.com raring/partner Translation-fr_FR             
Réception de : 10 http://security.ubuntu.com raring-security/multiverse amd64 Packages [1 154 B]
Atteint http://fr.archive.ubuntu.com raring/multiverse i386 Packages           
Ign http://archive.canonical.com raring/partner Translation-fr                 
Réception de : 11 http://security.ubuntu.com raring-security/main i386 Packages [85,3 kB]
Atteint http://fr.archive.ubuntu.com raring/main Translation-fr               
Ign http://archive.canonical.com raring/partner Translation-en                 
Atteint http://fr.archive.ubuntu.com raring/main Translation-en               
Ign http://extras.ubuntu.com raring/main Translation-fr_FR                     
Atteint http://qgis.org raring/main i386 Packages                             
Ign http://extras.ubuntu.com raring/main Translation-fr                       
Réception de : 12 http://security.ubuntu.com raring-security/restricted i386 Packages [14 B]
Atteint http://fr.archive.ubuntu.com raring/multiverse Translation-fr         
Ign http://extras.ubuntu.com raring/main Translation-en                       
Réception de : 13 http://security.ubuntu.com raring-security/universe i386 Packages [25,6 kB]
Atteint http://fr.archive.ubuntu.com raring/multiverse Translation-en         
Réception de : 14 http://security.ubuntu.com raring-security/multiverse i386 Packages [1 394 B]
Atteint http://fr.archive.ubuntu.com raring/restricted Translation-fr         
Atteint http://fr.archive.ubuntu.com raring/restricted Translation-en         
Atteint http://fr.archive.ubuntu.com raring/universe Translation-fr           
Atteint http://security.ubuntu.com raring-security/main Translation-en         
Atteint http://fr.archive.ubuntu.com raring/universe Translation-en           
Ign http://ppa.launchpad.net raring/main Translation-fr_FR                     
Atteint http://fr.archive.ubuntu.com raring-updates/main Sources               
Ign http://ppa.launchpad.net raring/main Translation-fr                       
Atteint http://fr.archive.ubuntu.com raring-updates/restricted Sources         
Ign http://ppa.launchpad.net raring/main Translation-en                       
Atteint http://security.ubuntu.com raring-security/multiverse Translation-en   
Atteint http://fr.archive.ubuntu.com raring-updates/universe Sources           
Ign http://ppa.launchpad.net raring/main Translation-fr_FR                     
Atteint http://security.ubuntu.com raring-security/restricted Translation-en   
Ign http://ppa.launchpad.net raring/main Translation-fr                       
Ign http://ppa.launchpad.net raring/main Translation-en                       
Atteint http://fr.archive.ubuntu.com raring-updates/multiverse Sources         
Atteint http://security.ubuntu.com raring-security/universe Translation-en     
Atteint http://fr.archive.ubuntu.com raring-updates/main amd64 Packages       
Atteint http://fr.archive.ubuntu.com raring-updates/restricted amd64 Packages 
Atteint http://fr.archive.ubuntu.com raring-updates/universe amd64 Packages   
Atteint http://fr.archive.ubuntu.com raring-updates/multiverse amd64 Packages 
Atteint http://fr.archive.ubuntu.com raring-updates/main i386 Packages         
Atteint http://fr.archive.ubuntu.com raring-updates/restricted i386 Packages   
Atteint http://fr.archive.ubuntu.com raring-updates/universe i386 Packages     
Atteint http://fr.archive.ubuntu.com raring-updates/multiverse i386 Packages   
Atteint http://fr.archive.ubuntu.com raring-updates/main Translation-en       
Atteint http://fr.archive.ubuntu.com raring-updates/multiverse Translation-en 
Atteint http://fr.archive.ubuntu.com raring-updates/restricted Translation-en 
Atteint http://fr.archive.ubuntu.com raring-updates/universe Translation-en   
Atteint http://fr.archive.ubuntu.com raring-backports/main Sources             
Atteint http://fr.archive.ubuntu.com raring-backports/restricted Sources       
Ign http://security.ubuntu.com raring-security/main Translation-fr_FR         
Atteint http://fr.archive.ubuntu.com raring-backports/universe Sources         
Ign http://security.ubuntu.com raring-security/main Translation-fr             
Atteint http://fr.archive.ubuntu.com raring-backports/multiverse Sources       
Ign http://security.ubuntu.com raring-security/multiverse Translation-fr_FR   
Atteint http://fr.archive.ubuntu.com raring-backports/main amd64 Packages     
Ign http://security.ubuntu.com raring-security/multiverse Translation-fr       
Atteint http://fr.archive.ubuntu.com raring-backports/restricted amd64 Packages
Atteint http://fr.archive.ubuntu.com raring-backports/universe amd64 Packages 
Ign http://security.ubuntu.com raring-security/restricted Translation-fr_FR   
Atteint http://fr.archive.ubuntu.com raring-backports/multiverse amd64 Packages
Ign http://security.ubuntu.com raring-security/restricted Translation-fr       
Atteint http://fr.archive.ubuntu.com raring-backports/main i386 Packages       
Ign http://security.ubuntu.com raring-security/universe Translation-fr_FR     
Atteint http://fr.archive.ubuntu.com raring-backports/restricted i386 Packages
Ign http://security.ubuntu.com raring-security/universe Translation-fr         
Atteint http://fr.archive.ubuntu.com raring-backports/universe i386 Packages   
Atteint http://fr.archive.ubuntu.com raring-backports/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com raring-backports/main Translation-en     
Atteint http://fr.archive.ubuntu.com raring-backports/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com raring-backports/restricted Translation-en
Ign http://qgis.org raring/main Translation-fr_FR                       
Atteint http://fr.archive.ubuntu.com raring-backports/universe Translation-en
Ign http://qgis.org raring/main Translation-fr                         
Ign http://qgis.org raring/main Translation-en                         
Ign http://fr.archive.ubuntu.com raring/main Translation-fr_FR         
Ign http://fr.archive.ubuntu.com raring/multiverse Translation-fr_FR           
Ign http://fr.archive.ubuntu.com raring/restricted Translation-fr_FR           
Ign http://fr.archive.ubuntu.com raring/universe Translation-fr_FR     
Ign http://fr.archive.ubuntu.com raring-updates/main Translation-fr_FR         
Ign http://fr.archive.ubuntu.com raring-updates/main Translation-fr           
Ign http://fr.archive.ubuntu.com raring-updates/multiverse Translation-fr_FR   
Ign http://fr.archive.ubuntu.com raring-updates/multiverse Translation-fr     
Ign http://fr.archive.ubuntu.com raring-updates/restricted Translation-fr_FR   
Ign http://fr.archive.ubuntu.com raring-updates/restricted Translation-fr
Ign http://fr.archive.ubuntu.com raring-updates/universe Translation-fr_FR     
Ign http://fr.archive.ubuntu.com raring-updates/universe Translation-fr       
Ign http://fr.archive.ubuntu.com raring-backports/main Translation-fr_FR       
Ign http://fr.archive.ubuntu.com raring-backports/main Translation-fr         
Ign http://fr.archive.ubuntu.com raring-backports/multiverse Translation-fr_FR
Ign http://fr.archive.ubuntu.com raring-backports/multiverse Translation-fr   
Ign http://fr.archive.ubuntu.com raring-backports/restricted Translation-fr_FR
Ign http://fr.archive.ubuntu.com raring-backports/restricted Translation-fr   
Ign http://fr.archive.ubuntu.com raring-backports/universe Translation-fr_FR   
Ign http://fr.archive.ubuntu.com raring-backports/universe Translation-fr     
Ign http://riderducoin.com precise Release.gpg                                 
Atteint http://riderducoin.com precise Release
Ign http://riderducoin.com precise/main amd64 Packages/DiffIndex       
Ign http://riderducoin.com precise/main i386 Packages/DiffIndex
Err http://riderducoin.com precise/main Sources                         
 
Err http://riderducoin.com precise/main amd64 Packages                 
 
Err http://riderducoin.com precise/main i386 Packages                   
 
Err http://riderducoin.com precise/main Sources                         
 
Err http://riderducoin.com precise/main amd64 Packages
 
Err http://riderducoin.com precise/main Sources                         
 
Err http://riderducoin.com precise/main amd64 Packages
 
Atteint http://riderducoin.com precise/main amd64 Packages
Err http://riderducoin.com precise/main i386 Packages
 
Atteint http://riderducoin.com precise/main i386 Packages
Err http://riderducoin.com precise/main Sources                         
  404  Not Found
Ign http://riderducoin.com precise/main Translation-fr_FR
Ign http://riderducoin.com precise/main Translation-fr
Ign http://riderducoin.com precise/main Translation-en
306 ko réceptionnés en 1min 28s (3 439 o/s)
W: Impossible de récupérer http://riderducoin.com/ubuntu1/dists/pr … ce/Sources  404  Not Found

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.



Pour sudo apt-get remove qgis :



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet « qgis » n'est pas installé, et ne peut donc être supprimé
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  acroread-common automoc bsh bsh-gcj dctrl-tools devscripts distro-info-data
  dmake doxygen doxygen-latex dput firefox-dev fontforge fonts-sil-gentium
  fonts-sil-gentium-basic fonts-texgyre gcj-native-helper gir1.2-gconf-2.0
  gir1.2-langtag-0.4 gperf javahelper junit4 kdelibs5-dev latex-beamer
  latex-xcolor libatk-bridge2.0-dev libatk1.0-dev libavahi-client-dev
  libavahi-common-dev libbluetooth-dev libboost-date-time-dev
  libboost-date-time1.49-dev libboost-dev libboost-serialization1.49-dev
  libboost-serialization1.49.0 libboost1.49-dev libcairo-script-interpreter2
  libcairo2-dev libclucene-dev libcmis-dev libcoin60 libcommon-sense-perl
  libcommons-codec-java libcommons-httpclient-java libcommons-lang-java
  libcppunit-1.12-1 libcppunit-dev libcups2-dev libdb-dev libdb5.1-dev
  libdbus-1-dev libdbus-glib-1-dev libdistro-info-perl liberror-perl
  libexif-dev libexporter-lite-perl libexttextcat-dev libfftw3-3
  libfontconfig1-dev libfontforge1 libfreetype6-dev libgconf2-dev
  libgconf2-doc libgdk-pixbuf2.0-dev libgdraw4 libglib2.0-dev libgmp-dev
  libgphoto2-2-dev libgraphicsmagick3 libgstreamer-plugins-base1.0-dev
  libgstreamer1.0-dev libgtk-3-dev libgtk2.0-dev libhamcrest-java
  libharfbuzz-dev libhunspell-dev libhyphen-dev libidl-dev libieee1284-3-dev
  libio-stringy-perl libjbig-dev libjline-java libjs-underscore libjson-perl
  libjson-xs-perl libkimproxy4 libknewstuff2-4 libkprintutils4 libkrossui4
  libkunitconversion4 libkutils4 liblangtag-dev liblangtag-gobject0
  liblzma-dev libmdds-dev libmspub-dev libmysqlcppconn-dev libmysqlcppconn5
  libmythes-dev libneon27-gnutls-dev libnspr4-dev libnss3-dev
  libopenscenegraph80 libopenthreads14 liborbit2-dev libosgearth1
  libpango1.0-dev libparse-debcontrol-perl libpcre3-dev libpcrecpp0
  libphonon-dev libpixman-1-dev libpoppler-cpp-dev libpoppler-cpp0
  libpoppler-dev libpoppler-private-dev libpython3-dev libpython3.3-dev
  libqgis1.8.0 libqwt5-qt4 libraptor2-dev librasqal3-dev librdf0-dev
  libreoffice libreoffice-filter-mobiledev libreoffice-report-builder-bin
  libsane-dev libsoprano-dev libspatialindex1 libspiro0 libtie-ixhash-perl
  libtiff5-dev libtiffxx5 libuninameslist0 libusb-1.0-0-dev libusb-dev
  libv4l-dev libvigraimpex-dev libvigraimpex4 libvisio-dev libwayland-dev
  libwpd-dev libwpg-dev libwps-dev libxaw7-dev libxcb-render0-dev
  libxcb-shm0-dev libxcomposite-dev libxcursor-dev libxerces-c28 libxft-dev
  libxi-dev libxine1 libxine1-bin libxine1-ffmpeg libxine1-misc-plugins
  libxine1-plugins libxinerama-dev libxkbcommon-dev libxkbfile-dev
  libxml-parser-perl libxmu-dev libxmu-headers libxpm-dev libxrandr-dev
  libxrender-dev libxslt1-dev libxtst-dev libyajl-dev libzip2 orbit2 pgf
  preview-latex-style prosper ps2eps python-central python3-dev python3-magic
  python3.3-dev tex-gyre texlive-extra-utils texlive-font-utils
  texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-extra texlive-latex-extra-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
  texlive-pstricks texlive-pstricks-doc tipa ttf-marvosym
  x11proto-composite-dev x11proto-randr-dev x11proto-record-dev
  x11proto-render-dev x11proto-xinerama-dev xsltproc
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 10 non mis à jour.




ET enfin pour sudo apt-get install qgis:


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
qgis : Dépend: qgis-providers (= 1.8.0-2~raring6) mais ne sera pas installé
        Dépend: qgis-common (= 1.8.0-2~raring6) mais ne sera pas installé
        Recommande: qgis-plugin-globe mais ne sera pas installé
        Recommande: qgis-plugin-grass mais ne sera pas installé
        Recommande: python-qgis mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».



Apparemment c'est le mode "garder en l'état" qui pose problème sad

Hors ligne

#62 Le 17/07/2013, à 10:09

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Salut Symba,
Tu peux essayer d'utiliser les quote du forum stp pour plus de lisibilité.

Tu as choisi d'installer la version Ubuntu 13.04 et c'est ce qui arrive assez fréquemment, la compilation du paquet a échoué sur le serveur. Tu peux l'observer ici à droite :
https://launchpad.net/~ubuntugis/+archi … ter=raring

Latest updates

qgis 12 hours ago
Failed to build: amd64 i386

C'est une chose qui arrive assez souvent et il vaut mieux en effet utiliser la version LTS (long term support). Il s'agit à présent d'une question d'heures pour la compilation. Tu pourras avoir qgis lorsque la compilation sera réussie sur le dépôt ubuntugis.

Concernant mon dépôt comme Silvio66 tu as rajouté les sources, or il n'y a pas de sources sur mon dépôt !

kikislater a écrit :
Silvio66 a écrit :

Pour

cat /etc/apt/sources.list
deb http://riderducoin.com/ubuntu1 precise main
deb-src http://riderducoin.com/ubuntu1 precise main

Il faut que tu supprimes la deuxième ligne.
Comment faire :

gksudo gedit /etc/apt/sources.list

Cet élément a pour but d'ouvrir ton sources.list avec un éditeur de texte. Si tu n'as pas gedit (xfce) remplace gedit par un autre éditeur de texte installé sur ta machine.
Tu supprimes ou mets un # devant la dernière ligne de ce fichier soit :

# deb-src http://riderducoin.com/ubuntu1 precise main

Tu refais un sudo apt-get update et tu peux poursuivre sans erreur

Hors ligne

#63 Le 17/07/2013, à 10:12

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

kikislater a écrit :

Pas fonctionnel, comment tu vois ça ? La seule solution pour voir que ce n'est pas fonctionnel c'est avec ce que j'ai cité ensuite

sudo gdal-ecw-build /usr

Et pour finir si le résultat est concluant tu peux vérifier avec :

gdalinfo --formats | grep ECW

Pour:

sudo gdal-ecw-build /usr

la sortie est:

missing source /usr/src/libgdal-ecw-1.9.0.tar.gz

et pour:

gdalinfo --formats | grep ECW

ça ne donne rien...


Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#64 Le 17/07/2013, à 10:51

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Silvio66 a écrit :
kikislater a écrit :

Pas fonctionnel, comment tu vois ça ? La seule solution pour voir que ce n'est pas fonctionnel c'est avec ce que j'ai cité ensuite

sudo gdal-ecw-build /usr

Et pour finir si le résultat est concluant tu peux vérifier avec :

gdalinfo --formats | grep ECW

Pour:

sudo gdal-ecw-build /usr

la sortie est:

missing source /usr/src/libgdal-ecw-1.9.0.tar.gz

et pour:

gdalinfo --formats | grep ECW

ça ne donne rien...

Bon c'est étrange qui cherche la version 1.9 alors qu'il doit trouver la 1.10
Du coup on repart sur la vérification des paquets :

apt-cache policy gdal-bin
apt-cache policy gdal
apt-cache policy libgdal-ecw
apt-cache policy libgdal-ecw-src

Si tu peux m'envoyer la réponse de ces commandes

Hors ligne

#65 Le 17/07/2013, à 16:09

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Voici les réponses.

Pour:

apt-cache policy gdal-bin
gdal-bin:
  Installé : 1.10.0-1~precise1
  Candidat : 1.10.0-1~precise1
 Table de version :
 *** 1.10.0-1~precise1 0
        500 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status
     1.7.3-6ubuntu3 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise/universe i386 Packages

Pour:

apt-cache policy gdal
N: Impossible de trouver le paquet gdal

Pour:

apt-cache policy libgdal-ecw
libgdal-ecw:
  Installé : 1.9.1-1
  Candidat : 1.9.1-1
 Table de version :
 *** 1.9.1-1 0
        500 http://riderducoin.com/ubuntu1/ precise/main i386 Packages
        100 /var/lib/dpkg/status

Pour:

apt-cache policy libgdal-ecw-src
libgdal-ecw-src:
  Installé : 1.10.0-1~precise2
  Candidat : 1.10.0-1~precise2
 Table de version :
 *** 1.10.0-1~precise2 0
        500 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#66 Le 17/07/2013, à 16:42

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

On arrive au bout !!! J'ai la solution :

sudo apt-get remove --purge libgdal-ecw

Puis

sudo gdal-ecw-build /usr

Et pour finir si le résultat est concluant tu peux vérifier avec :

gdalinfo --formats | grep ECW

Dernière modification par kikislater (Le 17/07/2013, à 16:43)

Hors ligne

#67 Le 17/07/2013, à 17:42

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Pour:

sudo apt-get remove --purge libgdal-ecw
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  qgis-plugin-grass-common libvncserver0 qgis-plugin-globe-common libgsoap1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  libgdal-ecw*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 147 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 1078667 fichiers et répertoires déjà installés.)
Suppression de libgdal-ecw ...
dpkg : avertissement : lors de la suppression de libgdal-ecw, le répertoire « /usr/lib/gdalplugins » n'était pas vide, donc il n'a pas été supprimé.

Avec:

sudo gdal-ecw-build /usr

ça bloque...

missing source /usr/src/libgdal-ecw-1.9.0.tar.gz

Un vrai casse-tête...


Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#68 Le 17/07/2013, à 18:00

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Silvio66 a écrit :

Pour:

sudo apt-get remove --purge libgdal-ecw
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  qgis-plugin-grass-common libvncserver0 qgis-plugin-globe-common libgsoap1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  libgdal-ecw*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 147 ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données... 1078667 fichiers et répertoires déjà installés.)
Suppression de libgdal-ecw ...
dpkg : avertissement : lors de la suppression de libgdal-ecw, le répertoire « /usr/lib/gdalplugins » n'était pas vide, donc il n'a pas été supprimé.

Avec:

sudo gdal-ecw-build /usr

ça bloque...

missing source /usr/src/libgdal-ecw-1.9.0.tar.gz

Un vrai casse-tête...

Non non on y arrive
Renvoie moi le résultat de ça stp :

ls /usr/lib/gdalplugins

Hors ligne

#69 Le 18/07/2013, à 11:02

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

kikislater a écrit :

Non non on y arrive
Renvoie moi le résultat de ça stp :

ls /usr/lib/gdalplugins

Voilà:

 ls /usr/lib/gdalplugins
1.8

Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#70 Le 18/07/2013, à 11:05

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Oui désolé pour les quote, je maîtrise pas trop mais j'essaierai de m'en servir les prochaines fois.

Pour Qgis c'est bon j'ai pu le réinstaller, mais j'ai pyhton QGis qui lui ne veut pas s'installer, il m'affiche un message d'erreur:
E: /var/cache/apt/archives/python-qgis_1.8.0-2~raring8_amd64.deb: tentative de remplacement de « /usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.so », qui appartient aussi au paquet python-pyspatialite 3.0.1-2

Qgis fonctionne quand même, mais à nouveau je n’arrive plus à ouvrir les ecw sad
J'ai refait la procédure suivante que tu m'avais donné:

Tu rajoutes ce dépôt :

deb http://riderducoin.com/ubuntu1/ precise main

puis

sudo apt-get update

puis

sudo apt-get install libecwj2 libgdal-ecw

puis

sudo add-apt-repository -y ppa:ubuntugis/ubuntugis-unstable
sudo apt-get install -y libgdal-ecw-src
sudo ldconfig

Sans l'ajout du dépôt puisque je l'avais déjà.

Hors ligne

#71 Le 18/07/2013, à 11:12

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

symba a écrit :

Oui désolé pour les quote, je maîtrise pas trop mais j'essaierai de m'en servir les prochaines fois.

Pour Qgis c'est bon j'ai pu le réinstaller, mais j'ai pyhton QGis qui lui ne veut pas s'installer, il m'affiche un message d'erreur:
E: /var/cache/apt/archives/python-qgis_1.8.0-2~raring8_amd64.deb: tentative de remplacement de « /usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.so », qui appartient aussi au paquet python-pyspatialite 3.0.1-2

Qgis fonctionne quand même, mais à nouveau je n’arrive plus à ouvrir les ecw sad
J'ai refait la procédure suivante que tu m'avais donné:

Tu rajoutes ce dépôt :

deb http://riderducoin.com/ubuntu1/ precise main

puis

sudo apt-get update

puis

sudo apt-get install libecwj2 libgdal-ecw

puis

sudo add-apt-repository -y ppa:ubuntugis/ubuntugis-unstable
sudo apt-get install -y libgdal-ecw-src
sudo ldconfig

Sans l'ajout du dépôt puisque je l'avais déjà.

sudo apt-get remove  libgdal-ecw
sudo apt-get install libgdal-dev
sudo gdal-ecw-build /usr

Dernière modification par kikislater (Le 18/07/2013, à 11:57)

Hors ligne

#72 Le 18/07/2013, à 11:13

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Silvio66 a écrit :
kikislater a écrit :

Non non on y arrive
Renvoie moi le résultat de ça stp :

ls /usr/lib/gdalplugins

Voilà:

 ls /usr/lib/gdalplugins
1.8

euh je m'attendais à 1.9 ...

sudo rm -rf /usr/lib/gdalplugins/1.8

puis

sudo apt-get install gdal-dev
sudo gdal-ecw-build /usr

Dernière modification par kikislater (Le 18/07/2013, à 11:15)

Hors ligne

#73 Le 18/07/2013, à 11:52

Silvio66

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

@ Kickslater,

ça bloque à:

sudo apt-get install gdal-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet gdal-dev

Silvio
Xubuntu 14.04 sur TERRA mobile 1562P Pro (qui marche encore à pétrole...) 32 bit et avec la RAM qui rame.

Hors ligne

#74 Le 18/07/2013, à 11:57

kikislater

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Silvio66 a écrit :

@ Kickslater,

ça bloque à:

sudo apt-get install gdal-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet gdal-dev

Autant pour moi !

sudo apt-get install libgdal-dev

Hors ligne

#75 Le 18/07/2013, à 12:05

symba

Re : [QGis 1.8] Lire ECW sous Ubuntu 12.10

Parfait!

Merci beaucoup kikislater, tout fonctionne à nouveau sans problème.
Vraiment merci d'avoir passé du temps à répondre et de manière si précise.

Bonne journée et au plaisir

Symba

Hors ligne

Haut de page ↑